Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.transform
Class LayoutLensSupport

    java.lang.Object
      edu.uci.ics.jung.visualization.transform.AbstractLensSupport
          edu.uci.ics.jung.visualization.transform.LayoutLensSupport

All Implemented Interfaces:
  LensSupport

public class LayoutLensSupport
extends AbstractLensSupport
implements LensSupport

A class to make it easy to add an examining lens to a jung graph application. See HyperbolicTransformerDemo for an example of how to use it.

Author:
  Tom Nelson - RABA Technologies

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.visualization.transform.AbstractLensSupport
`AbstractLensSupport.Lens, AbstractLensSupport.LensControls`

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.transform.AbstractLensSupport
`defaultToolTipText, graphMouse, instructions, lens, lensControls, lensGraphMouse, lensTransformer, savedViewTransformer, vv`

Constructor Summary
`LayoutLensSupport(VisualizationViewer vv)`
`LayoutLensSupport(VisualizationViewer vv, LensTransformer lensTransformer, ModalGraphMouse lensGraphMouse)` create the base class, setting common members and creating a custom GraphMouse

Method Summary
`void` | `activate()`
`void` | `deactivate()`

Methods inherited from class edu.uci.ics.jung.visualization.transform.AbstractLensSupport
`activate, getGraphMouse, getLensTransformer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.visualization.transform.LensSupport
`activate, getGraphMouse, getLensTransformer`

Constructor Detail

### LayoutLensSupport

    public LayoutLensSupport(VisualizationViewer vv)

### LayoutLensSupport

    public LayoutLensSupport(VisualizationViewer vv,
                             LensTransformer lensTransformer,
                             ModalGraphMouse lensGraphMouse)

  create the base class, setting common members and creating a custom GraphMouse

Parameters:
  `vv` - the VisualizationViewer to work on

Method Detail

### activate

    public void activate()

  Specified by:
    `activate` in interface `LensSupport`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `LensSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD